<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CatalogFieldSettingsMaskEnum
{
    public const NAME = 1;
    public const MODERATED = 2;
    public const REQUIRED = 4;
    public const METRICS = 8;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::NAME,
            self::MODERATED,
            self::REQUIRED,
            self::METRICS,
        ];
    }
}
